### Class

# WebKit DeviceInfoPermissionRequest

since: 2.24

#### Description [src]

    final class WebKit.DeviceInfoPermissionRequest : GObject.Object {
      /* No available fields */
    }

A permission request for accessing user’s audio/video devices.

WebKitUserMediaPermissionRequest represents a request for permission to whether WebKit should be allowed to access the user’s devices information when requested through the enumerateDevices API.

When a WebKitDeviceInfoPermissionRequest is not handled by the user, it is denied by default.

Available since: 2.24

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- WebKitPermissionRequest

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from WebKitPermissionRequest (2)

###### webkit_permission_request_allow

Allow the action which triggered this request.

###### webkit_permission_request_deny

Deny the action which triggered this request.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKitDeviceInfoPermissionRequestClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.